;;;    

(defun gksob (/	    apsz  osmd  dmt	dgb   sgb   hgb	  dvt
	    label sset	edat3 tgb   tgbt  tgbn	pts   pte   cpt	  ept
	    pt1	  pt2	pt3   pt4   pt5	  pt6	pt7   pt8   pt9	  pt10
	    pt11  pt12	clay  cltp ccol
	   )


  (setq apsz (getvar "aperture"))
  (setq osmd (getvar "osmode"))


  (setq	dmt (nth 3 bb)
	dgb (nth 6 bb)
	sgb (nth 7 bb)
	hgb (nth 8 bb)
	dvt (nth 9 bb)
        imja (strcat " M" (rtos dmt) "  "imja2)
  ) ;_ end of setq



  (defun ris_gks ()

    (setq cpt '(0.0 0.0 0.0))
    (setvar "osmode" 0)
    (setvar "aperture" 1)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;
    (defun gk_vs ()
      (setq tgb	 (/ (sqrt (- (expt dgb 2) (expt sgb 2))) sgb)
	    tgbt (atan tgb)
      ) ;_ end of setq
      (setq pt1	 (polar cpt tgbt (/ dgb 2.0))
	    pt3	 (polar cpt (+ tgbt (/ pi 3)) (/ dgb 2.0))
	    pt5	 (polar cpt (+ tgbt (* (/ pi 3) 2)) (/ dgb 2.0))
	    pt7	 (polar cpt (+ tgbt pi) (/ dgb 2.0))
	    pt9	 (polar cpt (+ tgbt (* (/ pi 3) 4)) (/ dgb 2.0))
	    pt11 (polar cpt (+ tgbt (* (/ pi 3) 5)) (/ dgb 2.0))
	    tgbn (- pi tgbt)
	    pt6	 (polar cpt tgbn (/ dgb 2.0))
	    pt8	 (polar cpt (+ tgbn (/ pi 3)) (/ dgb 2.0))
	    pt10 (polar cpt (+ tgbn (* (/ pi 3) 2)) (/ dgb 2.0))
	    pt12 (polar cpt (+ tgbn pi) (/ dgb 2.0))
	    pt2	 (polar cpt (+ tgbn (* (/ pi 3) 4)) (/ dgb 2.0))
	    pt4	 (polar cpt (+ tgbn (* (/ pi 3) 5)) (/ dgb 2.0))
      ) ;_ end of setq


      (command "_circle" cpt (/ dmt 2.0) "_extrude" (entlast) "" hgb "")
      (setq obj1 (entlast))
      (command "_pline" pt1 "_a" "_ce" cpt pt2 "_l" pt3 "_a" "_ce" cpt pt4 	               "_l" pt5 "_a" "_ce" cpt pt6 "_l" pt7 "_a" "_ce" cpt pt8 
	       "_l" pt9 "_a" "_ce" cpt pt10 "_l" pt11 "_a" "_ce" cpt pt12                    "_l" pt1 "" "_extrude" (entlast) "" hgb "")
      (setq obj2 (entlast))
      (command "_subtract" obj2 "" obj1 "")

      (setq SS (ssadd))
      (command "_line" (list (car cpt) (+ (cadr cpt) (* 0.45 sgb)) (caddr cpt)) 
                       (list (car cpt) (+ (cadr cpt) (* 0.5 dgb)) (caddr cpt)) "")
      (ssadd (entlast) SS)
      (command "_line" (list (car cpt) (+ (cadr cpt) (* 0.5 dgb)) (caddr cpt)) 
                       (list (car cpt) (+ (cadr cpt) (* 0.5 dgb)) 
                              (+ (caddr cpt) (* (- (* 0.5 dgb) (* 0.45 sgb)) 
                                                (/ (sin (/ pi 6)) (cos (/ pi 6))) 
                                               ) 
                               )
                          ) "")
      (ssadd (entlast) SS)
      (command "_line" (list (car cpt) (+ (cadr cpt) (* 0.5 dgb)) 
                              (+ (caddr cpt) (* (- (* 0.5 dgb) (* 0.45 sgb)) 
                                                (/ (sin (/ pi 6)) (cos (/ pi 6))) 
                                               ) 
                               )
                          ) 
                       (list (car cpt) (+ (cadr cpt) (* 0.45 sgb)) (caddr cpt)) "") 
      (ssadd (entlast) SS)
      (command "_region" ss "" 
               "_revolve" (entlast) "" cpt (list (car cpt) 
                                                 (cadr cpt) 
                                                 (+ (caddr cpt) 5.0)
                                            ) 360 
               "_subtract" obj2 "" (entlast) ""
        )


      (setq SS2 (ssadd))
      (command "_line" (list (car cpt) (+ (cadr cpt) (* 0.45 sgb)) (+ (caddr cpt) hgb)) 
                       (list (car cpt) (+ (cadr cpt) (* 0.5 dgb)) (+ (caddr cpt) hgb)) "")
      (ssadd (entlast) SS2)
      (command "_line" (list (car cpt) (+ (cadr cpt) (* 0.5 dgb)) (+ (caddr cpt) hgb)) 
                       (list (car cpt) (+ (cadr cpt) (* 0.5 dgb)) 
                              (- (+ (caddr cpt) hgb) (* (- (* 0.5 dgb) (* 0.45 sgb)) 
                                                (/ (sin (/ pi 6)) (cos (/ pi 6))) 
                                               ) 
                               )
                          ) "")
      (ssadd (entlast) SS2)
      (command "_line" (list (car cpt) (+ (cadr cpt) (* 0.5 dgb)) 
                              (- (+ (caddr cpt) hgb) (* (- (* 0.5 dgb) (* 0.45 sgb)) 
                                                (/ (sin (/ pi 6)) (cos (/ pi 6))) 
                                               ) 
                               )
                          ) 
                       (list (car cpt) (+ (cadr cpt) (* 0.45 sgb)) (+ (caddr cpt) hgb)) "") 
      (ssadd (entlast) SS2)
      (command "_region" ss2 "" 
               "_revolve" (entlast) "" cpt (list (car cpt) 
                                                 (cadr cpt) 
                                                 (+ (caddr cpt) 5.0)
                                            ) 360 
               "_subtract" obj2 "" (entlast) ""
        )

	(setvar "aperture" apsz)
	(setvar "osmode" osmd)
       (command "-hyperlink" "_insert" "_object" (entlast) "" "" "" imja)
       (command "_move" (entlast) "" cpt pause)

    ) ;_ end of defun
;;; _end of GK_VS


   (gk_vs)

  ) ;_ end of defun
;;;_end of RIS_GKS

	(ris_gks)

  (setvar "cmdecho" cmd)
  (setvar "blipmode" blpm)
  (prin1)
) ;_ end of defun GKSOB
