


;;;  

(defun c:krpgob (/       dvt1    dvt2    dvt3    dvt4    krcl    basd
	       bas1d   bas2d   bas3d   bas4d   bas5d   bas6d   bas7d
	       bas8d   bas9d   bas10d  bas11d  bas12d  bas13d  bas14d
	       bas15d  bas16   bas17d  bas18d  bas19d  bas20d  bas21
	       bas22d  bas23d  bas24d  bas25d  bas26d  bas27d  name1
	       orx     aby     fil     pr_fl
	       vk_rp   rr      rl      rs      spr     x       a
	       aa      a1      a2      a3      a4      b       bb  msg
	       b0      b1      b2      b12      
               cmd blpm apsz osmd clay cltp ccol ltsc cltsc shvdf imja imja2
	      )

  (setq cmd (getvar "cmdecho"))
  (setq blpm (getvar "blipmode"))
  (setq apsz (getvar "aperture"))
  (setq osmd (getvar "osmode"))
  (setvar "cmdecho" 0)
  (setvar "blipmode" 0)


    (defun *error* (msg)
       (setvar "cmdecho" cmd)
       (setvar "blipmode" blpm)
       (setvar "aperture" apsz)
       (setvar "osmode" osmd)
       (setq msg "")
       (princ msg)
       (terpri)
       (princ)
      )



  (setq	dvt1   (findfile "bltsob.lsp")
	dvt2   (findfile "vintob.lsp")
	dvt3   (findfile "gksob.lsp")
	dvt4   (findfile "shbob.lsp")
	krcl   (findfile "krpzob.dcl")
	basd   (findfile "b7805.dat")
	bas1d  (findfile "b7808.dat")
	bas2d  (findfile "b7798.dat")
	bas3d  (findfile "b7796.dat")
	bas4d  (findfile "v1491.dat")
	bas5d  (findfile "v17473.dat")
	bas6d  (findfile "v17474.dat")
	bas7d  (findfile "v17475.dat")
	bas8d  (findfile "v11738.dat")
	bas9d  (findfile "v1488.dat")
	bas10d (findfile "g5915.dat")
	bas11d (findfile "g5916.dat")
	bas12d (findfile "g15521.dat")
	bas13d (findfile "g15522.dat")
	bas14d (findfile "g5927.dat")
	bas15d (findfile "g5929.dat")
	bas16d (findfile "g2524.dat")
	bas17d (findfile "g2526.dat")
	bas18d (findfile "g15524.dat")
	bas19d (findfile "g5931.dat")
	bas20d (findfile "s11371.dat")
	bas21d (findfile "s6958.dat")
	bas22d (findfile "s10450.dat")
	bas23d (findfile "s6402n.dat")
	bas24d (findfile "s6402l.dat")
	bas25d (findfile "s6402t.dat")
	bas26d (findfile "s6402ot.dat")
	bas27d (findfile "s10906.dat")
  ) ;_ end of setq



      (defun lay_o ()
        (command "_'layer" "_s" "0" "")
       ) ;_ end of defun

      (defun osn ()
        (command "_linetype" "_s" "_bylayer" "")
        (command "_color" "_byl")
       )


  (load dvt1)
  (load dvt2)
  (load dvt3)
  (load dvt4)

  (defun show_im2 (name1)
    (setq orx (dimx_tile "image")
	  aby (dimy_tile "image")
    ) ;_ end of setq
    (start_image "image")
    (fill_image 0 0 orx aby 444)
    (slide_image 0 0 orx aby name1)
    (end_image)
  ) ;_ end of defun


  (defun name ()
    (cond
      ((and (eq vk_rp "0")
	    (or	(eq pr_fl nil)
		(eq pr_fl "0")
		(eq pr_fl "1")
		(eq pr_fl "2")
		(eq pr_fl "3")
	    ) ;_ end of or
       ) ;_ end of and
       (setq name1
	      "vntob(1).slb"
       ) ;_ end of setq
      )
      ((and (eq vk_rp "1")
	    (or	(eq pr_fl nil)
		(eq pr_fl "0")
	    ) ;_ end of or
       ) ;_ end of and
       (setq name1
	      "vntob(4).slb"
       ) ;_ end of setq
      )
      ((and (eq vk_rp "1")
	    (eq pr_fl "1")
       ) ;_ end of and
       (setq name1
	      "vntob(6).slb"
       ) ;_ end of setq
      )
      ((and (eq vk_rp "1")
	    (eq pr_fl "2")
       ) ;_ end of and
       (setq name1
	      "vntob(8).slb"
       ) ;_ end of setq
      )
      ((and (eq vk_rp "1")
	    (eq pr_fl "3")
       ) ;_ end of and
       (setq name1
	      "vntob(9).slb"
       ) ;_ end of setq
      )
      ((and (eq vk_rp "1")
	    (eq pr_fl "4")
       ) ;_ end of and
       (setq name1
	      "vntob(10).slb"
       ) ;_ end of setq
      )
      ((and (eq vk_rp "1")
	    (eq pr_fl "5")
       ) ;_ end of and
       (setq name1
	      "vntob(11).slb"
       ) ;_ end of setq
      )
      ((and (eq vk_rp "2")
	    (or	(eq pr_fl "0")
		(eq pr_fl "1")
		(eq pr_fl "2")
		(eq pr_fl "3")
		(eq pr_fl "4")
		(eq pr_fl "5")
		(eq pr_fl "6")
		(eq pr_fl "7")
		(eq pr_fl "8")
		(eq pr_fl "9")
	    ) ;_end of or
       ) ;_ end of and
       (setq name1
	      "vntob(14).slb"
       ) ;_ end of setq
      )
      ((and (eq vk_rp "3")
	    (or	(eq pr_fl "0")
		(eq pr_fl "1")
		(eq pr_fl "2")
	    ) ;_end of or
       ) ;_ end of and
       (setq name1
	      "vntob(18).sld"
       ) ;_ end of setq
      )
      ((and (eq vk_rp "3")
	    (or	(eq pr_fl "3")
		(eq pr_fl "4")
		(eq pr_fl "5")
		(eq pr_fl "6")
	    ) ;_end of or
       ) ;_ end of and
       (setq name1
	      "vntob(20).sld"
       ) ;_ end of setq
      )
      ((and (eq vk_rp "3")
	    (eq pr_fl "7")
       ) ;_ end of and
       (setq name1
	      "vntob(21).sld"
       ) ;_ end of setq
      )
    ) ;_ end of cond
  ) ;_ end of defun

  (defun show (/ dcl_id)
    (setq dcl_id
	   (load_dialog
	     krcl
	   ) ;_ end of load_dialog
    )					; DCL-
    (if	(not (new_dialog "krpz" dcl_id)) ; 
      (exit)
    )					;(,   )

    (defun sn_def ()
      (setq  rr	 "0") ;_ end of setq
    ) ;_ end of defun


    (defun name_fil ()
      (cond
	((and (eq vk_rp "0") (eq pr_fl "0")) (setq imja2 "7798" fil bas2d))
	((and (eq vk_rp "0") (eq pr_fl "1")) (setq imja2 "7796" fil bas3d))
	((and (eq vk_rp "0") (eq pr_fl "2")) (setq imja2 "7805" fil basd))
	((and (eq vk_rp "0") (eq pr_fl "3")) (setq imja2 "7808" fil bas1d))
	((and (eq vk_rp "1") (eq pr_fl "0")) (setq shvdf 14 imja2 "1491" fil bas4d))
	((and (eq vk_rp "1") (eq pr_fl "1")) (setq shvdf 16 imja2 "17473" fil bas5d))
	((and (eq vk_rp "1") (eq pr_fl "2")) (setq shvdf 16 imja2 "17474" fil bas6d))
	((and (eq vk_rp "1") (eq pr_fl "3")) (setq shvdf 15 imja2 "17475" fil bas7d))
	((and (eq vk_rp "1") (eq pr_fl "4")) (setq shvdf 15 imja2 "1488" fil bas9d))
	((and (eq vk_rp "1") (eq pr_fl "5")) (setq shvdf 14 imja2 "11738" fil bas8d))
	((and (eq vk_rp "2") (eq pr_fl "0")) (setq imja2 "5915" fil bas10d))
	((and (eq vk_rp "2") (eq pr_fl "1")) (setq imja2 "5916" fil bas11d))
	((and (eq vk_rp "2") (eq pr_fl "2")) (setq imja2 "15521" fil bas12d))
	((and (eq vk_rp "2") (eq pr_fl "3")) (setq imja2 "15522" fil bas13d))
	((and (eq vk_rp "2") (eq pr_fl "4")) (setq imja2 "5927" fil bas14d))
	((and (eq vk_rp "2") (eq pr_fl "5")) (setq imja2 "5929" fil bas15d))
	((and (eq vk_rp "2") (eq pr_fl "6")) (setq imja2 "2524" fil bas16d))
	((and (eq vk_rp "2") (eq pr_fl "7")) (setq imja2 "2526" fil bas17d))
	((and (eq vk_rp "2") (eq pr_fl "8")) (setq imja2 "15524" fil bas18d))
	((and (eq vk_rp "2") (eq pr_fl "9")) (setq imja2 "5931" fil bas19d))
	((and (eq vk_rp "3") (eq pr_fl "0")) (setq imja2 "11371" imja3 "" fil bas20d))
	((and (eq vk_rp "3") (eq pr_fl "1")) (setq imja2 "6958" imja3 "" fil bas21d))
	((and (eq vk_rp "3") (eq pr_fl "2")) (setq imja2 "10450" imja3 "" fil bas22d))
	((and (eq vk_rp "3") (eq pr_fl "3")) (setq imja2 "6402" imja3 "" fil bas23d))
	((and (eq vk_rp "3") (eq pr_fl "4")) (setq imja2 "6402" imja3 "" fil bas24d))
	((and (eq vk_rp "3") (eq pr_fl "5")) (setq imja2 "6402" imja3 "" fil bas25d))
	((and (eq vk_rp "3") (eq pr_fl "6")) (setq imja2 "6402" imja3 "" fil bas26d))
	((and (eq vk_rp "3") (eq pr_fl "7")) (setq imja2 "10906" imja3 "" fil bas27d))
      ) ;_ end of cond
    ) ;_ end of defun


    (defun desk_f ()

      (setq x	(open (name_fil) "r")
	    a	(read-line x)
	    aa	(read a)
	    a1	(nth 0 aa)
	    a2	(nth (1+ (atoi rr)) aa)
	    a3	(nth 0 a2)
	    a4	(nth 1 a2)
	    b	(read-line x)
	    bb	(read b)
	    b0	(nth 0 bb)
	    b1	(nth 1 bb)
	    b2	(nth 2 bb)
	    b12	(nth 12 bb)
      ) ;_ end of setq
    ) ;_ end of defun


    (defun spis	(/ ltb)
      (cond
	((eq vk_rp "0")
	 (setq ltb '(" 7798-70 .."
		     " 7796-70 ..  ."
		     " 7805-70 .."
		     " 7808-70 ..  ."
		    )
	 ) ;_ end of setq
	)
	((eq vk_rp "1")
	 (setq ltb '(" 1491-72  ."
		     " 17473-72  ."
		     " 17474-72  ."
		     " 17475-72  ."
		     " 1488-75  .  ."
		     " 11738-72  ."
		    )
	 ) ;_ end of setq
	)
	((eq vk_rp "2")
	 (setq ltb '(" 5915-70.."
		     " 5916-70..."
		     " 15521-70.. .. ."
		     " 15522-70... .. ."
		     " 5927-70.."
		     " 5929-70..."
		     " 2524-70.. .. ."
		     " 2526-70... .. ."
		     " 15524-70..."
		     " 5931-70.. ."
		    )
	 ) ;_ end of setq
	)
	((eq vk_rp "3")
	 (setq ltb '(" 11371-78 "
		     " 6958-78 "
		     " 10450-78 "
		     " 6402-70  "
		     " 6402-70  "
		     " 6402-70  "
		     " 6402-70   "
		     " 10906-78 "
		    )
	 ) ;_ end of setq
	)
      ) ;_ end of cond
    ) ;_ end of defun

    (defun r_r ()
      (start_list "n")
      (mapcar 'add_list a1)
      (end_list)
    ) ;_ end of defun

    (defun d_r ()
      (start_list "l_bt")
      (mapcar 'add_list a3)
      (end_list)
    ) ;_ end of defun

    (defun s_r ()
      (start_list "s_bt")
      (mapcar 'add_list a4)
      (end_list)
    ) ;_ end of defun

    (defun chart ()
      (start_list "sprav")
      (mapcar 'add_list b12)
      (end_list)
    ) ;_ end of defun

    (defun lb_t	()
      (start_list "prfl")
      (mapcar 'add_list (spis))
      (end_list)
    ) ;_ end of defun



    (if	(action_tile "vkrp" "")
      (progn
	(setq vk_rp "0"
	      pr_fl "0"
	) ;_ end of setq
	(sn_def)
	(desk_f)
	(r_r)
	(d_r)
	(s_r)
	(chart)
	(lb_t)
	(show_im2 (name))
      ) ;_ end of progn
    ) ;_ end of if

    (defun clos_x ()
      (close x)
      (desk_f)
    ) ;_ end of defun

    (defun whl ()
      (if (or (< (atof rr) (atof b0))
	      (< (atof rs) (atof b2))
	      (< (atof rl) (atof b1))
	  ) ;_ end of or
	(clos_x)
      ) ;_ end of if
      (while (or (/= (atof rr) (atof b0))
		 (/= (atof rs) (atof b2))
		 (/= (atof rl) (atof b1))
	     ) ;_ end of or
	(setq b	  (read-line x)
	      bb  (read b)
	      b0  (nth 0 bb)
	      b1  (nth 1 bb)
	      b2  (nth 2 bb)
	      b12 (nth 12 bb)
	) ;_ end of setq
      ) ;_ end of while
    ) ;_ end of defun


    (defun hlp ()
      (set_tile "help" ": >>>")
    ) ;_ end of defun

    (defun vkr ()
      (cond ((or (eq vk_rp "0") (eq vk_rp "1"))
	     (progn
	       (mode_tile "l_bt" 0)
	       (mode_tile "s_bt" 0)
	     ) ;_end of progn
	    )
	    ((eq vk_rp "2")
	     (progn
	       (mode_tile "l_bt" 1)
	       (mode_tile "s_bt" 0)
	     ) ;_ end of progn
	    )
	    ((eq vk_rp "3")
	     (progn
	       (mode_tile "l_bt" 1)
	       (mode_tile "s_bt" 1)
	     ) ;_end of progn
	    )
      ) ;_end of cond
    ) ;_end of defun VKR

    (action_tile
      "vkrp"
      (strcat
	"(progn (setq vk_rp (get_tile \"vkrp\"))"
	"(vkr)"
	"(setq pr_fl \"0\")"
	"(sn_def)"
	"(desk_f)"
	"(r_r)"
	"(d_r)"
	"(s_r)"
	"(lb_t)"
	"(chart)"
	"(show_im2 (name)))"
	"(hlp)"
      ) ;_ end of strcat
    ) ;_ end of action_tile



    (action_tile
      "prfl"
      (strcat
	"(progn (setq pr_fl (get_tile \"prfl\") rr \"0\")"
	"(desk_f)"
	"(r_r)"
	"(d_r)"
	"(s_r)"
	"(chart)"
	"(show_im2 (name)))"
	"(hlp)"
      ) ;_ end of strcat
    ) ;_ end of action_tile


    (defun rl_rs ()
      (setq rl "0"
	    rs "0"
      ) ;_ end of setq
    ) ;_ end of defun


    (action_tile
      "n"
      (strcat
	"(progn (sel_view)"
	"(rl_rs)"
	"(desk_f)"
	"(whl)"
	"(chart))"
	"(hlp)"
	"(d_r)"
	"(s_r)"
      ) ;_ end of strcat
    ) ;_ end of action_tile

    (action_tile
      "l_bt"
      (strcat
	"(progn (sel_view)"
	"(whl)"
	"(chart))"
	"(hlp)"
      ) ;_ end of strcat
    ) ;_ end of action_tile

    (if	(action_tile "l_tb" "")
      (setq rl "0")
    ) ;_ end of if

    (action_tile
      "s_bt"
      (strcat
	"(progn (sel_view)"
	"(whl))"
      ) ;_ end of strcat
    ) ;_ end of action_tile

    (if	(action_tile "s_tb" "")
      (setq rs "0")
    ) ;_ end of if

    (defun sel_view ()
      (setq rr	 (get_tile "n")
	    rl	 (get_tile "l_bt")
	    rs	 (get_tile "s_bt")
      ) ;_ end of setq
    ) ;_ end of defun


    (defun notes ()
      (cond
	((and (or (eq pr_fl "0")
		  (eq pr_fl "1")
		  (eq pr_fl "2")
		  (eq pr_fl "3")
	      ) ;_ end of or
	      (eq vk_rp "0")
	      (eq spr "0")
	 ) ;_ end of and
	 (set_tile "help" ": >>>   ")
	)
	((and (or (eq pr_fl "0")
		  (eq pr_fl "1")
		  (eq pr_fl "2")
		  (eq pr_fl "3")
		  (eq pr_fl "4")
		  (eq pr_fl "5")
		  (eq pr_fl "6")
		  (eq pr_fl "7")
		  (eq pr_fl "8")
		  (eq pr_fl "9")
	      ) ;_ end of or
	      (eq vk_rp "2")
	      (eq spr "0")
	 ) ;_ end of and
	 (set_tile "help" ": >>>  ")
	)
	((and (eq pr_fl "7")
	      (eq vk_rp "3")
	      (eq spr "0")
	 ) ;_ end of and
	 (set_tile "help" ": >>>   ")
	)
	((and (eq pr_fl "7")
	      (eq vk_rp "3")
	      (eq spr "1")
	 ) ;_ end of and
	 (set_tile "help" ": >>>   ")
	)
	((and (or (eq pr_fl "0")
		  (eq pr_fl "1")
		  (eq pr_fl "2")
		  (eq pr_fl "3")
		  (eq pr_fl "4")
		  (eq pr_fl "5")
		  (eq pr_fl "6")
		  (eq pr_fl "7")
	      ) ;_ end of or
	      (eq vk_rp "3")
	      (eq spr "0")
	 ) ;_ end of and
	 (set_tile "help" ": >>>  ")
	)
	((and (or (eq pr_fl "0")
		  (eq pr_fl "1")
		  (eq pr_fl "2")
		  (eq pr_fl "3")
		  (eq pr_fl "4")
		  (eq pr_fl "5")
		  (eq pr_fl "6")
		  (eq pr_fl "7")
	      ) ;_ end of or
	      (eq vk_rp "3")
	      (eq spr "1")
	 ) ;_ end of and
	 (set_tile "help" ": >>>  ")
	)
	((and (or (eq pr_fl "0")
		  (eq pr_fl "1")
		  (eq pr_fl "2")
		  (eq pr_fl "3")
		  (eq pr_fl "4")
		  (eq pr_fl "5")
	      ) ;_ end of or
	      (eq vk_rp "1")
	      (eq spr "0")
	 ) ;_ end of and
	 (set_tile "help" ": >>>   ")
	)
	((and (or (eq pr_fl "0")
		  (eq pr_fl "1")
		  (eq pr_fl "2")
		  (eq pr_fl "3")
		  (eq pr_fl "4")
		  (eq pr_fl "5")
		  (eq pr_fl "6")
		  (eq pr_fl "7")
		  (eq pr_fl "8")
		  (eq pr_fl "9")
	      ) ;_ end of or
	      (or (eq vk_rp "0")
		  ;(eq vk_rp "1")
		  (eq vk_rp "2")
	      ) ;_end of or
	      (eq spr "1")
	 ) ;_ end of and
	 (set_tile "help" ": >>>   ")
	)
	((and (or (eq pr_fl "0")
		  (eq pr_fl "1")
		  (eq pr_fl "2")
		  (eq pr_fl "3")
	      ) ;_ end of or
	      (eq vk_rp "1")
	      (eq spr "1")
	 ) ;_ end of and
	 (set_tile "help" ": >>>    ")
	)
	((and (eq pr_fl "4")
	      (eq vk_rp "1")
	      (eq spr "1")
	 ) ;_ end of and
	 (set_tile "help" ": >>>   ")
	)
	((and (eq pr_fl "5")
	      (eq vk_rp "1")
	      (eq spr "1")
	 ) ;_ end of and
	 (set_tile "help" ": >>>  ")
	)
	((and (or (eq pr_fl "0")
		  (eq pr_fl "1")
		  (eq pr_fl "2")
		  (eq pr_fl "3")
	      ) ;_ end of or
	      (eq vk_rp "0")
	      (eq spr "2")
	 ) ;_ end of and
	 (set_tile "help" ": >>>   ")
	)
	((and (or (eq pr_fl "0")
		  (eq pr_fl "1")
		  (eq pr_fl "2")
		  (eq pr_fl "3")
		  (eq pr_fl "4")
		  (eq pr_fl "5")
	      ) ;_ end of or
	      (eq vk_rp "1")
	      (eq spr "2")
	 ) ;_ end of and
	 (set_tile "help" ": >>>   ")
	)
	((and (or (eq pr_fl "0")
		  (eq pr_fl "1")
		  (eq pr_fl "2")
		  (eq pr_fl "3")
		  (eq pr_fl "4")
		  (eq pr_fl "5")
		  (eq pr_fl "6")
		  (eq pr_fl "7")
		  (eq pr_fl "8")
		  (eq pr_fl "9")
	      ) ;_ end of or
	      (eq vk_rp "2")
	      (eq spr "2")
	 ) ;_ end of and
	 (set_tile "help" ": >>>  ")
	)
	((and (or (eq pr_fl "0")
		  (eq pr_fl "1")
		  (eq pr_fl "2")
		  (eq pr_fl "3")
		  (eq pr_fl "4")
		  (eq pr_fl "5")
	      ) ;_ end of or
	      (or (eq vk_rp "0")
		  (eq vk_rp "1")
	      ) ;_ end of or
	      (eq spr "3")
	 ) ;_ end of and
	 (set_tile "help" ": >>>   ")
	)
      ) ;_ end of cond
    ) ;_ end of defun NOTES

    (action_tile
      "sprav"
      (strcat
	"(setq spr (get_tile \"sprav\"))"
	"(notes)"
      ) ;_ end of strcat
    ) ;_ end of action_tile

    (defun okey	()
	(progn (done_dialog) (close x))
    ) ;_ end of defun


    (action_tile
      "accept"
      "(okey)"
    ) ;_ end of action_tile


    (action_tile
      "cancel"
      (strcat "(progn (setq rr nil)" "(done_dialog))" "(close x)")
    ) ;_ end of action_tile


    (start_dialog)			;  


    (unload_dialog dcl_id)		; DCL-
    (prin1)
  )					;   show 


    (show)


  (cond	((and (eq vk_rp "0") (/= rr nil)) (bltsob))
	((and (eq vk_rp "1") (/= rr nil)) (vntsob))
	((and (eq vk_rp "2") (/= rr nil)) (gksob))
	((and (eq vk_rp "3") (/= rr nil)) (shbob))
   ) ;_ end of cond 


   (setvar "celtscale" cltsc)

  (prin1)

) ;_ end of defun



