;;;  

(defun shbob (/	    apsz  osmd  dmt	sgb   s1gb  s2gb  
	      edat3	cpt    pt1   pt2   pt3	  pt4
	    clay  cltp ccol vmt obj1 
	   )


  (setq apsz (getvar "aperture"))
  (setq osmd (getvar "osmode"))

  (setq	dmt (nth 3 bb)
	sgb (nth 4 bb)
        s1gb (nth 5 bb)
        s2gb (nth 6 bb)
        vmt (nth 13 bb)
        imja (strcat " " (rtos vmt) imja3 "  " imja2)
  ) ;_ end of setq


  (defun ris_sh	()

    (setq cpt '(0.0 0.0 0.0))
    (setvar "osmode" 0)
    (setvar "aperture" 1)


;;;;;;; 
    (defun sh_vs ()

      (setq pt1	(polar cpt (/ pi 4) (* dmt (sqrt 0.5)))
	    pt2	(polar pt1 pi dmt)
	    pt3	(polar pt2 (/ (* pi 3) 2) dmt)
	    pt4	(polar pt3 0 dmt)
      ) ;_end of setq 
   
      (defun listarx ( / sparx n narx) 
         (setq sparx (arx) n 0 narx (nth n sparx)) 
         (while (and (/= "geom3d.arx" narx) (/= narx nil)) 
                (setq narx (nth n sparx) n (1+ n)) 
          ) 
         (if (/= narx "geom3d.arx") (arxload "geom3d")) 
       );_end of defun LISTARX   

      (if (or (eq pr_fl "0")
	      (eq pr_fl "1")
	      (eq pr_fl "2")
	      (eq pr_fl "3")
	      (eq pr_fl "4")
	      (eq pr_fl "5")
	      (eq pr_fl "6")
	  ) ;_end of or
	(progn
	  (command "_circle" cpt (/ dmt 2.0) "_extrude" (entlast) "" sgb "")
          (setq obj1 (entlast))
	  (command "_circle" cpt (/ vmt 2.0) "_extrude" (entlast) "" sgb "")
          (command "_subtract" obj1 "" (entlast) "") 
          (if (or (eq pr_fl "3")
	          (eq pr_fl "4")
	          (eq pr_fl "5")
	          (eq pr_fl "6")
	        ) ;_end of or 
             (progn 
              (listarx) 
              (command "_box" 
                         (list (car cpt)
                               (- (cadr cpt) (/ (* (- dmt vmt) 0.5) 12.0)) 
                               (- (caddr cpt) (* (- dmt vmt) 0.5)) 
                           ) 
                         "_l" dmt 
                              (/ (* (- dmt vmt) 0.5) 6.0) 
                              (+ (/ sgb (cos (/ pi 4))) (* 2.5 sgb))
                        "_rotate3d" (entlast) "" 
                                             (list (car cpt)
                                                   (cadr cpt) 
                                                   (+ (caddr cpt) (* sgb 0.5)) 
                                               )
                                             (list (+ (car cpt) dmt)
                                                   (cadr cpt) 
                                                   (+ (caddr cpt) (* sgb 0.5)) 
                                               ) 45.0
                        "_subtract" obj1 "" (entlast) ""
               );_end of command 
             );_end of progn 
            ) ;_end of if
	) ;_end of progn
	(progn
	  (command "_pline" pt1 pt2 pt3 pt4 pt1 "" "_extrude" (entlast) "" s2gb "")
          (setq obj1 (entlast))
          (command "_wedge" 
                    (list (car pt3) (cadr pt3) (+ (caddr pt3) s2gb)) 
                    "_l" dmt dmt (- s1gb s2gb) "_union" obj1 (entlast) "" 
                   "_circle" cpt (/ vmt 2.0) "_extrude" (entlast) "" s1gb "" 
                   "_subtract" obj1 "" (entlast) "")
	) ;_end of progn
      ) ;_end of if
	(setvar "aperture" apsz)
	(setvar "osmode" osmd)
       (command "-hyperlink" "_insert" "_object" (entlast) "" "" "" imja)
       (command "_move" (entlast) "" cpt pause)
    ) ;_ end of defun
;;; _end of sh_vs

     (sh_vs)

  ) ;_ end of defun RIS_SH


	(ris_sh)


  (setvar "cmdecho" cmd)
  (setvar "blipmode" blpm)
  (prin1)
) ;_ end of defun SHBOB
